INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/src
  ${PARADEVS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GLIBMM_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS})

LINK_DIRECTORIES(
  ${Boost_LIBRARY_DIRS}
  ${GLIBMM_LIBRARY_DIRS}
  ${LIBXML_LIBRARY_DIR})

ADD_EXECUTABLE(pdevs-mpi-cluster-main graph_manager.hpp models.hpp main.cpp)

TARGET_LINK_LIBRARIES(pdevs-mpi-cluster-main
  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_SERIALIZATION_LIBRARY}
  ${Boost_MPI_LIBRARY}
  ${MPI_CXX_LIBRARIES})
